hgs yükleme
My Cart (0)  |  My Orders  |  My Downloads  |  My Auction  |  My Account  |  Help


Login |Register        Search

Obsolescence policy for dnn 5.x

                Print      Add To Favorite     Add To Watch List     Contact Author

Creator: host   6/4/2012 4:39:04 AM    Author: Shaun Walker   Source: http://www.dotnetnuke.com/Resources/Blogs/EntryId/3334/Obsolescence-Policy-for-DotNetNuke-5-x.aspx   Views: 2139    0    0  
Tags:
Dnn 5.x Obsolescence

by Shaun Walker on Thursday, March 29, 2012 1:15 AM
  •      Also known as a “sunset” or “end-of-life” policy, an obsolescence policy describes the terms and conditions for phasing out support for older versions of a software product. This does not mean the software will no longer continue to function; however, it does mean that the product will no longer be actively maintained by the software provider and some forms of technical support may no longer be available.

When we released DotNetNuke 6.0 in July 2011, we made a decision to focus all of our software development and maintenance efforts on the 6.x product line. This meant that we were no longer actively improving the 5.x product line through bug fixes or enhancements. There were many reasons for this decision; with the most obvious one being the fact that the entire platform had undergone a language conversion from VB.NET to C# in version 6.0 which made the task of sustaining the two platforms in parallel highly challenging from a technical perspective.

That being said, we recognized that we absolutely needed to ensure the confidence and safety of our users, so we made a public commitment that we would continue to provide security patches to users of the DotNetNuke 5.x product line for a period of 1 year. This gave the new DotNetNuke 6.x platform time to mature and provided our users and customers the opportunity to make plans to upgrade their web sites and applications in a controlled manner. Over the past 8 months our Security Team has worked diligently to successfully mitigate all vulnerabilities discovered in the platform. And in the cases where those vulnerabilities also affected the 5.x product line, we were diligent in mitigating the public disclosure risk and timing issues by issuing 6.x and 5.x maintenance product releases in parallel. This resulted in four security releases to the 5.x product line ( 5.6.4 – 5.6.7 ) over the past 8 months.

As the one year anniversary of the DotNetNuke 6.0 release draws near I want to again remind our users and customers that we will no longer be providing security patches to the DotNetNuke 5.x product line after July 20, 2012. So in order to ensure that you get the optimal product experience, while at the same time ensure the integrity of your critical website assets, I encourage you to plan your migrations to DotNetNuke 6.x as soon as possible.

I should probably mention that our obsolescence policy is focused on our internal development support for various versions of the core DotNetNuke platform. For customers of our Professional or Enterprise editions, our professional obligations are outlined in the Support Services Addendum to the standard terms and conditions of the DotNetNuke Software License and Service Agreement and are valid as long as a customer has an active subscription license.


Rating People: 0   Average Rating:     

     DnnModule.com is built to provide DNN quality modules and DNN skins, some of them are free, some not. We wish these stuffs (free or not ) can be useful to you.

     Besides that, we also provide a full range of professional services, ranging from web site build, seo, system management, administration, support, senior consultancy and security services. We act as if your development project or network was ours, with care and respect. We are not satisfied until it works the way you want it to, and we don't silently ignore found issues as somebody else's problem.